# Тестовые сценарии для Voice Analytics Hub Backend

scenarios:
  - name: revenue_by_brand
    description: Показать выручку по брендам
    turns:
      - "Покажи выручку по брендам"
      - "За последний квартал"
      - "Только Stoli"

  - name: revenue_comparison
    description: Сравнение выручки между периодами
    turns:
      - "Сравни выручку этого месяца с прошлым"
      - "Покажи по странам"
      - "Добавь детализацию по каналам"

  - name: logistics_delays
    description: Анализ задержек в логистике
    turns:
      - "Сколько задержек по доставкам?"
      - "Покажи по складам"
      - "Какой процент вовремя?"

  - name: logistics_by_carrier
    description: Производительность перевозчиков
    turns:
      - "Покажи доставки по перевозчикам"
      - "Только за последний месяц"
      - "Сортируй по количеству задержек"

  - name: clarification_test
    description: Тест на запрос уточнений
    turns:
      - "Покажи данные"
      - "По выручке"
      - "За ноябрь"

  - name: context_test
    description: Тест на сохранение контекста
    turns:
      - "Покажи выручку по брендам"
      - "Теперь по странам"
      - "А теперь по каналам"
      - "Вернись к брендам"

  - name: drilldown_test
    description: Тест углубления в данные
    turns:
      - "Покажи выручку"
      - "Детализация по брендам"
      - "Только Stoli"
      - "По странам для Stoli"

  - name: time_range_test
    description: Тест различных временных периодов
    turns:
      - "Покажи выручку за последний месяц"
      - "А за квартал?"
      - "Покажи год к году"

  - name: mixed_metrics
    description: Работа с несколькими метриками
    turns:
      - "Покажи выручку и GP по брендам"
      - "Добавь NSV"
      - "Убери GP"

  - name: dataset_switch
    description: Переключение между датасетами
    turns:
      - "Покажи выручку по брендам"
      - "Теперь покажи данные по логистике"
      - "Сколько поставок было?"
      - "Вернись к выручке"
